

# ListJobs
<a name="API_ListJobs"></a>

Lists all of the DataBrew jobs that are defined.

## Request Syntax
<a name="API_ListJobs_RequestSyntax"></a>

```
GET /jobs?datasetName=DatasetName&maxResults=MaxResults&nextToken=NextToken&projectName=ProjectName HTTP/1.1
```

## URI Request Parameters
<a name="API_ListJobs_RequestParameters"></a>

The request uses the following URI parameters.

 ** [DatasetName](#API_ListJobs_RequestSyntax) **   <a name="databrew-ListJobs-request-uri-DatasetName"></a>
The name of a dataset. Using this parameter indicates to return only those jobs that act on the specified dataset.  
Length Constraints: Minimum length of 1. Maximum length of 255.

 ** [MaxResults](#API_ListJobs_RequestSyntax) **   <a name="databrew-ListJobs-request-uri-MaxResults"></a>
The maximum number of results to return in this request.   
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [NextToken](#API_ListJobs_RequestSyntax) **   <a name="databrew-ListJobs-request-uri-NextToken"></a>
A token generated by DataBrew that specifies where to continue pagination if a previous request was truncated. To get the next set of pages, pass in the NextToken value from the response object of the previous page call.   
Length Constraints: Minimum length of 1. Maximum length of 2000.

 ** [ProjectName](#API_ListJobs_RequestSyntax) **   <a name="databrew-ListJobs-request-uri-ProjectName"></a>
The name of a project. Using this parameter indicates to return only those jobs that are associated with the specified project.  
Length Constraints: Minimum length of 1. Maximum length of 255.

## Request Body
<a name="API_ListJobs_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListJobs_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "Jobs": [ 
      { 
         "AccountId": "string",
         "CreateDate": number,
         "CreatedBy": "string",
         "DatabaseOutputs": [ 
            { 
               "DatabaseOptions": { 
                  "TableName": "string",
                  "TempDirectory": { 
                     "Bucket": "string",
                     "BucketOwner": "string",
                     "Key": "string"
                  }
               },
               "DatabaseOutputMode": "string",
               "GlueConnectionName": "string"
            }
         ],
         "DataCatalogOutputs": [ 
            { 
               "CatalogId": "string",
               "DatabaseName": "string",
               "DatabaseOptions": { 
                  "TableName": "string",
                  "TempDirectory": { 
                     "Bucket": "string",
                     "BucketOwner": "string",
                     "Key": "string"
                  }
               },
               "Overwrite": boolean,
               "S3Options": { 
                  "Location": { 
                     "Bucket": "string",
                     "BucketOwner": "string",
                     "Key": "string"
                  }
               },
               "TableName": "string"
            }
         ],
         "DatasetName": "string",
         "EncryptionKeyArn": "string",
         "EncryptionMode": "string",
         "JobSample": { 
            "Mode": "string",
            "Size": number
         },
         "LastModifiedBy": "string",
         "LastModifiedDate": number,
         "LogSubscription": "string",
         "MaxCapacity": number,
         "MaxRetries": number,
         "Name": "string",
         "Outputs": [ 
            { 
               "CompressionFormat": "string",
               "Format": "string",
               "FormatOptions": { 
                  "Csv": { 
                     "Delimiter": "string"
                  }
               },
               "Location": { 
                  "Bucket": "string",
                  "BucketOwner": "string",
                  "Key": "string"
               },
               "MaxOutputFiles": number,
               "Overwrite": boolean,
               "PartitionColumns": [ "string" ]
            }
         ],
         "ProjectName": "string",
         "RecipeReference": { 
            "Name": "string",
            "RecipeVersion": "string"
         },
         "ResourceArn": "string",
         "RoleArn": "string",
         "Tags": { 
            "string" : "string" 
         },
         "Timeout": number,
         "Type": "string",
         "ValidationConfigurations": [ 
            { 
               "RulesetArn": "string",
               "ValidationMode": "string"
            }
         ]
      }
   ],
   "NextToken": "string"
}
```

## Response Elements
<a name="API_ListJobs_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [Jobs](#API_ListJobs_ResponseSyntax) **   <a name="databrew-ListJobs-response-Jobs"></a>
A list of jobs that are defined.  
Type: Array of [Job](API_Job.md) objects

 ** [NextToken](#API_ListJobs_ResponseSyntax) **   <a name="databrew-ListJobs-response-NextToken"></a>
A token that you can use in a subsequent call to retrieve the next set of results.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2000.

## Errors
<a name="API_ListJobs_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ValidationException **   
The input parameters for this request failed validation.  
HTTP Status Code: 400

## See Also
<a name="API_ListJobs_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/databrew-2017-07-25/ListJobs) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/databrew-2017-07-25/ListJobs) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/databrew-2017-07-25/ListJobs) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/databrew-2017-07-25/ListJobs) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/databrew-2017-07-25/ListJobs) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/databrew-2017-07-25/ListJobs) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/databrew-2017-07-25/ListJobs) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/databrew-2017-07-25/ListJobs) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/databrew-2017-07-25/ListJobs) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/databrew-2017-07-25/ListJobs) 